Mailinglist Archive: opensuse-security-announce (24 mails)

< Previous Next >
[security-announce] openSUSE-SU-2012:0015-1: important: freetype2
openSUSE Security Update: freetype2
______________________________________________________________________________

Announcement ID: openSUSE-SU-2012:0015-1
Rating: important
References: #730124
Cross-References: CVE-2011-3256 CVE-2011-3439
Affected Products:
openSUSE 11.4
openSUSE 11.3
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update of freetype2 fixes multiple security flaws that
could allow attackers to cause a denial of service or to
execute arbitrary code via specially crafted fonts
(CVE-2011-3256, CVE-2011-3439).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch freetype2-5548

- openSUSE 11.3:

zypper in -t patch freetype2-5548

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (i586 x86_64):

freetype2-devel-2.4.4-7.10.1
libfreetype6-2.4.4-7.10.1

- openSUSE 11.4 (x86_64):

freetype2-devel-32bit-2.4.4-7.10.1
libfreetype6-32bit-2.4.4-7.10.1

- openSUSE 11.3 (i586 x86_64):

freetype2-devel-2.3.12-7.8.1
libfreetype6-2.3.12-7.8.1

- openSUSE 11.3 (x86_64):

freetype2-devel-32bit-2.3.12-7.8.1
libfreetype6-32bit-2.3.12-7.8.1


References:

http://support.novell.com/security/cve/CVE-2011-3256.html
http://support.novell.com/security/cve/CVE-2011-3439.html
https://bugzilla.novell.com/730124

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages